View Issue Details

IDProjectCategoryView StatusLast Update
0007236mantisbtwebpagepublic2020-07-30 02:25
ReporterOliverBee Assigned Toatrol  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.3 
Summary0007236: Fix menu bar at top position (includes fix)
Description

Sometimes it was annoying me if I had to scroll upwards to get to the menu bar and I didn't want a second menu bar at bottom, too. So I tried to stick the menu bar at the top of the page without using frames. Maybe my solution isn't very beautiful but it works for me except a small bug for Internet Explorer (selection fields are seen behind the sticked menu bar but I wasn't able to fix this problem).

I tested the patch for IE and Firefox.

Additional Information

Patch against 1.0.1 (but should work to CVS Head too):

add to css\default.css:
<pre>
body { height:100%; overflow-y:auto; ....
div.topFrame { background-color: #ffffff; top: 0px; left: 0px; width: 100%; position: fixed; }

  • html div.topFrame { position: absolute; }
    </pre>

add to core\html_api.php:
Modify function html_page_top2a():
add line
<pre>
PRINT '<div class="topFrame">';
</pre>
after line
<pre>
$g_error_send_page_header = false;
</pre>

Modify function print_menu():
add line
<pre>
PRINT '</div class="topFrame"><br><br><br><br><br>';
</pre>
after line
<pre>
PRINT '</table>';
</pre>

Tagspatch

Activities

atrol

atrol

2020-07-30 02:25

developer   ~0064204

Patch no longer needed, as top and left menue are always visible without scrolling in latest MantisBT versions.

Issue History

Date Modified Username Field Change
2006-06-27 11:16 OliverBee New Issue
2009-11-24 00:31 vboctor Tag Attached: patch
2020-07-30 02:25 atrol Assigned To => atrol
2020-07-30 02:25 atrol Status new => resolved
2020-07-30 02:25 atrol Resolution open => fixed
2020-07-30 02:25 atrol Note Added: 0064204